# Enum CalendarAttendee.Response

java.lang.Object
java.lang.Enum<CalendarAttendee.Response>
com.codename1.calendar.CalendarAttendee.Response

All Implemented Interfaces:
  `Comparable<CalendarAttendee.Response>`

Enclosing class:
  `CalendarAttendee`

public static enum CalendarAttendee.Response extends Enum<CalendarAttendee.Response>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCEPTED`
  `DECLINED`
  `DELEGATED`
  `NEEDS_ACTION`
  `NONE`
  `TENTATIVE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalendarAttendee.Response`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CalendarAttendee.Response[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final CalendarAttendee.Response NONE

  - ### NEEDS_ACTION

    public static final CalendarAttendee.Response NEEDS_ACTION

  - ### ACCEPTED

    public static final CalendarAttendee.Response ACCEPTED

  - ### DECLINED

    public static final CalendarAttendee.Response DECLINED

  - ### TENTATIVE

    public static final CalendarAttendee.Response TENTATIVE

  - ### DELEGATED

    public static final CalendarAttendee.Response DELEGATED

- ## Method Details

  - ### values

    public static CalendarAttendee.Response[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CalendarAttendee.Response valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null